## s'assurer que l'espace de travail est bien défini et que le fichier de données s'y trouve
## pour exécuter le script, bouton "Source" au dessus à droite
## pour exécuter ligne par ligne, bouton "Run" après avoir placé le curseur sur la ligne désirée

## chargement des données
sante_mentale <- read.csv2("donnees_sante_mentale.csv")

## résumé de toutes les variables
## NB : la fonction print() sert à ce que les résultats numériques (non graphiques) s'affichent dans la console quand on exécute le script
print(summary(sante_mentale))

## analyse d'une variable quantitative (par ex. age)
## indicateurs numériques (moyenne,...)
print(summary(sante_mentale$age))
## histogramme
hist(sante_mentale$age)
## le même en plus joli
hist(sante_mentale$age, main = "Distribution de l'âge", xlab = "âge (années)", ylab = "effectif", col = "grey")
## boîte à moustache
boxplot(sante_mentale$age, main = "Distribution de l'âge", ylab = "âge (années)", col = "grey")

## analyse d'une variable qualitative (par ex. risque suicidaire : rs)
## tableau
print(table(sante_mentale$rs))
## diagramme en barre
barplot(table(sante_mentale$rs), col="grey", main="Distribution du risque suicidaire", xlab="niveau de risque suicidaire", ylab="effectif")
## version camembert (pie chart)
pie(table(sante_mentale$rs), main="Distribution du risque suicidaire")
## croisement avec une autre variable qualitative (par ex. profession : prof)
print(table(sante_mentale$rs, sante_mentale$prof))
## diagramme en barre avec une légende (position en haut à gauche, sans cadre dessiné autour)
barplot(table(sante_mentale$dep.cons, sante_mentale$prof), beside = T, legend.text = c("pas de dépression", "dépression"), args.legend = list(x="topleft", bty="n"))

